@inproceedings{kelm2010cohesion,
  title={Cohesion: a hybrid memory model for accelerators},
  author={Kelm, John H and Johnson, Daniel R and Tuohy, William and Lumetta, Steven S and Patel, Sanjay J},
  booktitle={ACM SIGARCH Computer Architecture News},
  volume={38},
  number={3},
  pages={429--440},
  year={2010},
  organization={ACM}
}
